PixelPaintParserInternal::State Struct Reference

Internal: the state of a PixelPaintParser. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

MWAWVec2i | m_bitmapSize
| the bitmap size(v1)
std::vector< MWAWColor > | m_colorList
| the color map
std::shared_ptr< MWAWPict > | m_bitmap
| the bitmap

## Detailed Description

Internal: the state of a PixelPaintParser.

## Constructor & Destructor Documentation

## State()

PixelPaintParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_bitmap

std::shared_ptr<MWAWPict> PixelPaintParserInternal::State::m_bitmap

the bitmap

Referenced by State().

## m_bitmapSize

MWAWVec2i PixelPaintParserInternal::State::m_bitmapSize

the bitmap size(v1)

Referenced by State().

## m_colorList

std::vector<MWAWColor> PixelPaintParserInternal::State::m_colorList

the color map

Referenced by State().

The documentation for this struct was generated from the following file:

- PixelPaintParser.cxx